APIs / Hacker News / Stories

Hacker News: Stories

Stories from Hacker News as JSON. 1 credit per successful call.

GET /v1/hacker-news/storiesNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
typestringOptionaltop, new, best, ask, show, jobs
pageintegerOptionalAny
per_pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/hacker-news/stories?type=top&page=1&per_page=20" \
  -H "X-API-Key: $API_KEY"